<template>
    <select name="city" class="form-control" id="city">
        <option value="" :selected="selectedCity == null">- Pilih Kota/Kabupaten -</option>
        <option :value="city.id" :key="city.id" v-for="city in theCities" :selected="selectedCity == city.id">{{ city.name }}</option>
    </select>
</template>

<script>
import { mapState } from 'vuex';

export default {
    props: ['defaultCities','selectedCity'],
    data() {
        return {
            theCities: this.defaultCities ? this.defaultCities : this.cities
        }
    },
    computed: {
        ...mapState([
            'cities'
        ])
    },
    watch: {
        cities(val) {
            this.theCities = val;
        }
    }
}
</script>
